<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:element name="root">
			<xsl:for-each select="/list/entry">
				<xsl:for-each select="document(@name)/project/item">
					<xsl:if test="target_status[text()='*Changed'] or target_status[text()='*Unchanged']">
						<xsl:element name="row">
							<xsl:element name="objecttype">
								<xsl:value-of select="/project/@objectType"/>
							</xsl:element>
							<xsl:for-each select="objname">
								<xsl:element name="objectname{position()}">
									<xsl:value-of select="."/>
								</xsl:element>
							</xsl:for-each>
							<xsl:call-template name="repeat">
								<xsl:with-param name="num" select="count(objname)+1"/>
							</xsl:call-template>
							<xsl:element name="sourcestatus">
								<xsl:value-of select="source_status"/>
							</xsl:element>
							<xsl:element name="targetstatus">
								<xsl:value-of select="target_status"/>
							</xsl:element>
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
	<xsl:template name="repeat">
		<xsl:param name="num"/>
		<xsl:if test="$num &lt; 8">
			<xsl:element name="objectname{$num}"/>
			<xsl:call-template name="repeat">
				<xsl:with-param name="num" select="$num + 1"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
